<div class="container">
  <landing-header></landing-header>
  <div class="row-justify-content-md-center mt-4">
    <div class="col text-center">
      <h1>About this site</h1>
    </div>
  </div>
  <div class="row mt-5">
    <div class="col">
      <h3>What the f**k is this place?</h3>
      <p>This site is just a showcase of some stuff I have hosted (that may or may be not be mine) at my personal VPS.</p>
      <p>Also, the code of this site is public: both backend and frontend code are hosted publicly at GitLab.</p>
      <p>You can check it out <a href="https://gitlab.com/float.cf" target="_blank">here</a>.</p>
    </div>
  </div>
  <div class="row mt-5">
    <div class="col">
      <h3>What's with all the data displayed in the landing page?</h3>
      <p>The first one is an automatic parsing of the contents of the <code>sites</code> file of 
          the <a href="https://gitlab.com/float.cf/proxy/blob/master/sites" target="_blank">NGINX proxy</a> that serves all the server hosted services.</p>
      <p>The second one is an automatic parsing of the output of the <code>docker ps</code> command on the server.</p>
      <p>Both status are updated via WebSockets every minute and immediately on change thanks to a <i>watcher</i> in the server.</p>
    </div>
  </div>
  <div class="row mt-5">
    <div class="col">
      <h3>Automatically?</h3>
      <p>Yes. As stated before, there is a watcher on the server that sends a push notification every time there is an update in the server.</p>
      <p>For the <code>docker ps</code> command, there is a cronjob that writes its output to a file being watched.</p>
      <p>For the <code>sites</code> file, every time there is a <i>merge</i> to the proxy's master branch, it gets uploaded to the server and the watcher sends a notification.</p>
    </div>
  </div>
</div>
